Bug 866271 - When browse option is used, failed mounts by AutoFS leave broken directories
When browse option is used, failed mounts by AutoFS leave broken directories
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
All Linux
high Severity high
: rc
: ---
Assigned To: Ian Kent
yanfu,wang
: Regression
: 883812 (view as bug list)
Depends On:
Blocks: 866937 876808 1116719
  Show dependency treegraph
 
Reported: 2012-10-14 20:53 EDT by Ian Kent
Modified: 2014-07-07 02:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.32-337.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 866937 876808 1116719 (view as bug list)
Environment:
Last Closed: 2013-02-21 01:50:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch - autofs4 - fix reset pending flag on mount fail (1.22 KB, patch)
2012-10-14 21:05 EDT, Ian Kent
no flags Details | Diff

  None (edit)
Description Ian Kent 2012-10-14 20:53:48 EDT
Description of problem:
When using the browse option a mount fail when accessing an
automounted directory results in the attributes of the directory
(owner, group, mode, access time) are being listed as unknown.

Version-Release number of selected component (if applicable):
All kernel versions.

How reproducible:
Always with the steps below.

Steps to Reproduce:

Make sure you have BROWSE_MODE="yes" in /etc/sysconfig/autofs.

1. Add a simple indirect mount map (it's required that
   the server does NOT export the /notexported directory):

# cat /etc/auto.master
/nfs    /etc/auto.nfs

# cat /etc/auto.nfs
v2      server:/notexported

2. Restart AutoFS and try to access the directory:

# cd /nfs/v2
-bash: cd: /nfs/v2: No such file or directory

3. List the contents of the indirect mount directory.

# ls -la /nfs
ls: cannot access /nfs/v2: No such file or directory
total 4
drwxr-xr-x  3 root root    0 Sep 24 21:43 .
drwxr-xr-x 28 root root 4096 Sep 24 21:25 ..
d?????????  ? ?    ?       ?            ? v2


Actual results:
As above in step 3.

Expected results:
Sensible attributes, in this case attributes of the directory
as they should be in the autofs file system.
Comment 2 Ian Kent 2012-10-14 21:05:05 EDT
Created attachment 627155 [details]
Patch - autofs4 - fix reset pending flag on mount fail
Comment 3 RHEL Product and Program Management 2012-10-14 21:10:43 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 5 Jarod Wilson 2012-10-29 14:51:16 EDT
Patch(es) available on kernel-2.6.32-337.el6
Comment 8 yanfu,wang 2012-11-01 04:03:43 EDT
Reproduced on kernel 2.6.32-330.el6.x86_64:
:: [   LOG    ] :: /CoreOS/autofs/Regression/bz866271-when-browse-option-is-used-directory-attributes-broken/Test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'cd /nfs/v2'
:: [   FAIL   ] :: /nfs/v2 shows correct user and group (Expected 0, got 2)
:: [   LOG    ] :: Duration: 0s
:: [   LOG    ] :: Assertions: 1 good, 1 bad
:: [   FAIL   ] :: RESULT: /CoreOS/autofs/Regression/bz866271-when-browse-option-is-used-directory-attributes-broken/Test


Verified on kernel 2.6.32-337.el6 and got pass result:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: /CoreOS/autofs/Regression/bz866271-when-browse-option-is-used-directory-attributes-broken/Test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'cd /nfs/v2'
:: [   PASS   ] :: /nfs/v2 shows correct user and group
:: [   LOG    ] :: Duration: 0s
:: [   LOG    ] :: Assertions: 2 good, 0 bad
:: [   PASS   ] :: RESULT: /CoreOS/autofs/Regression/bz866271-when-browse-option-is-used-directory-attributes-broken/Test
Comment 9 Ian Kent 2012-12-05 07:56:10 EST
*** Bug 883812 has been marked as a duplicate of this bug. ***
Comment 11 errata-xmlrpc 2013-02-21 01:50:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0496.html

Note You need to log in before you can comment on or make changes to this bug.